import { Container } from './Container';
import { FlashList } from './FlashList';
import { FlatList } from './FlatList';
import { Lazy } from './Lazy';
import { MasonryFlashList } from './MasonryFlashList';
import { MaterialTabBarProps, MaterialTabItemProps } from './MaterialTabBar';
import { ScrollView } from './ScrollView';
import { SectionList } from './SectionList';
import { Tab } from './Tab';
import { TabBarProps, CollapsibleProps, RefComponent, ContainerRef, CollapsibleRef, OnTabChangeCallback, TabItemProps, TabProps } from './types';
export type { TabBarProps, CollapsibleProps, RefComponent, ContainerRef, MaterialTabBarProps, MaterialTabItemProps, CollapsibleRef, OnTabChangeCallback, TabItemProps, TabProps, };
export declare const Tabs: {
    Container: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<CollapsibleProps & import("react").RefAttributes<CollapsibleRef>>>;
    Tab: typeof Tab;
    Lazy: import("react").FC<{
        cancelLazyFadeIn?: boolean;
        mountDelayMs?: number;
        startMounted?: boolean;
        children: React.ReactElement;
    }>;
    FlatList: <T>(p: import("react-native").FlatListProps<T> & {
        ref?: React.Ref<import("react-native").FlatList<T>>;
    }) => React.ReactElement;
    ScrollView: import("react").ForwardRefExoticComponent<Omit<import("react-native").ScrollViewProps, "onScroll"> & {
        children?: import("react").ReactNode | undefined;
    } & import("react").RefAttributes<import("react-native").ScrollView>>;
    SectionList: <T>(p: import("react-native").SectionListProps<T> & {
        ref?: React.Ref<import("react-native").SectionList<T>>;
    }) => React.ReactElement;
    FlashList: <T>(p: import("@shopify/flash-list").FlashListProps<T> & {
        ref?: React.Ref<import("@shopify/flash-list").FlashList<T>>;
    }) => React.ReactElement;
    MasonryFlashList: <T>(p: import("@shopify/flash-list").MasonryFlashListProps<T> & {
        ref?: React.Ref<import("@shopify/flash-list").MasonryFlashListRef<any>>;
    }) => React.ReactElement;
};
export { Container, Tab, Lazy, FlatList, ScrollView, SectionList, FlashList, MasonryFlashList, };
export { useCurrentTabScrollY, useHeaderMeasurements, useFocusedTab, useAnimatedTabIndex, useCollapsibleStyle, } from './hooks';
export type { HeaderMeasurements } from './hooks';
export { MaterialTabBar } from './MaterialTabBar/TabBar';
export { MaterialTabItem } from './MaterialTabBar/TabItem';
//# sourceMappingURL=index.d.ts.map